@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif;
}

html, body {
    min-height: 100vh;
    height: 100%;
    overflow-x: hidden;
    box-sizing: border-box;
    background-image: url("../../images/login/background.png");
    background-size: cover;
    /* overflow-y: scroll; */
}

.all-container {
    min-height: 100vh;
    height: 100%;



}

.logo-container{
    top: 0;
}

.logo-container img {
    width: 100%;
}

.login-section {
    background-color: #ffffff;
    opacity: 0.9;


}

form {
    width: 100%;
    max-width: 25em;
    display: flex;
    flex-direction: column;
}

input {
    padding: 1em;
    border: 1px solid #ccc;
    border-radius: 0.5em;
}

.password-container {
    position: relative;
}

.password-container input {
    width: 100%;
    padding-right: 2.5em;
}

.password-container i {
    position: absolute;
    right: 1em;
    top: 50%;
    transform: translateY(-35%);
    cursor: pointer;
}

.forgot-password {
    text-align: center;
    color: #DD0835;
    text-decoration: none;
}

.forgot-password:hover {
    text-decoration: underline;
}

.register-link {
    text-align: center;
}

.register-link a {
    color: #DD0835;
    text-decoration: none;
}

.register-link a:hover {
    text-decoration: underline;
}

.info-section {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2em;
    height: 100%;
}

#eye-icon-password {
    padding-bottom: 0.6em;
    padding-top: 0.2em;
}

@media (max-width: 480px) {
    .login-section {
        width: 100%;
        height: 100%;
        padding-bottom: 160px;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .info-section {
        visibility: hidden;
        width: 0;
        height: 0;
        padding: 0;
    }

    .info-section h1 {
        font-size: 28.8px;
    }
}


@media (min-width: 481px) and (max-width: 768px) {
    .login-section {
        width: 100%;
        height: 100%;
        padding-bottom: 160px;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .info-section {
        visibility: hidden;
        width: 0;
        height: 0;
        padding: 0;
    }

    .info-section h1 {
        font-size: 28.8px;
    }
}

@media  (min-width: 769px) and (max-width: 1024px) {
    
    .login-section {
        width: 100%;
        height: 100%;
        padding-bottom: 160px;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .info-section {
        visibility: hidden;
        width: 0;
        height: 0;
        padding: 0;
    }

    .info-section h1 {
        font-size: 28.8px;
    }

    .logo-container{
        justify-content: center;
    }
    .logo-container img{
        width: 80%;
    }
}

@media (max-width: 1200px) and (min-width: 1025px) {

    .login-section {
        width: 60%;
        height: 100%;
        padding-bottom: 10em;
        top: 6em;
    }


    .info-section {
        width: 40%;
        visibility: visible;
        padding: 2.5em;
        height: 100%; 
    }


    .info-section h1 {
        font-size: 3.5em;
    }
    
}

@media (min-width: 1201px) {


    .info-section {
        width: 100%;
        visibility: visible;
        padding: 2.5em;
        height: 100%; 
    }

    .btn{
        margin: auto;
        width: 80%;
    }
}
